| Home | Libraries | People | FAQ | More

###### params_ref::params_ref (1 of 2 overloads)

Constructor.

###### Synopsis

    params_ref(
        params_ref const& other);

###### Description

After construction, both views reference the same url. Ownership is not transferred; the caller is responsible for ensuring the lifetime of the url extends until it is no longer referenced.

###### Postconditions

    &this->url() == &other.url()

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### Parameters

Name | Description
--- | ---
`other` | The other view.